// Based on:
// Copyright (c) 2012 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license.

#ifndef _EUTERPE_FFMPEG_DELETERS_H_
#define _EUTERPE_FFMPEG_DELETERS_H_

struct ScopedPtrAVFree
{
  void operator()(void *x) const;
};

struct ScopedPtrAVFreePacket
{
  void operator()(void *x) const;
};

struct ScopedPtrAVFreeContext
{
  void operator()(void *x) const;
};

struct ScopedPtrAVFreeFrame
{
  void operator()(void *x) const;
};

#endif // _EUTERPE_FFMPEG_DELETERS_H_
